=== debian/changelog ===
ecbuild (3.12.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/watch to version 4

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Oct 2025 09:16:37 +0100

ecbuild (3.11.0-3) unstable; urgency=medium

  * Build-dep on python3-all-dev. Closes: #1110797

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Aug 2025 13:09:11 +0100

ecbuild (3.11.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Aug 2025 12:02:34 +0100
