=== debian/watch ===
version=4
https://github.com/ecmwf/ecbuild/tags .*/v?(\d.*)@ARCHIVE_EXT@
