=== debian/changelog ===
ecbuild (3.13.0-1) unstable; urgency=medium

  * New upstream release
  * Reproducibility patch: dont remove defines, set as fixed strings
    as they are needed by eg eckit

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Dec 2025 08:54:14 +0000

ecbuild (3.12.0-2) unstable; urgency=medium

  * Drop lines in ecbuild_config.h files that break reproducubility
  * d/copyright: format fixes for licenserecon

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Dec 2025 13:22:02 +0000
