## ecbuild 3.13.1

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -22,3 +22,4 @@
 add_subdirectory( test_requires_simple )
 add_subdirectory( test_requires_complex )
 add_subdirectory( test_custom_build_type )
+add_subdirectory( ecbuild_install_dependency_with_soversion )
