=== debian/changelog ===
ecbuild (3.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 31 Jan 2026 08:17:12 +0000
